# -*- makefile -*-
#
# Copyright (c) 2004-2005 The Trustees of Indiana University and Indiana
#                         University Research and Technology
#                         Corporation.  All rights reserved.
# Copyright (c) 2004-2005 The University of Tennessee and The University
#                         of Tennessee Research Foundation.  All rights
#                         reserved.
# Copyright (c) 2004-2005 High Performance Computing Center Stuttgart,
#                         University of Stuttgart.  All rights reserved.
# Copyright (c) 2004-2005 The Regents of the University of California.
#                         All rights reserved.
# $COPYRIGHT$
#
# Additional copyrights may follow
#
# $HEADER$
#

# This makefile.am does not stand on its own - it is included from orte/Makefile.am

headers += \
        dss/dss.h \
        dss/dss_types.h \
        dss/dss_internal.h

noinst_LTLIBRARIES += dss/libdss.la
dss_libdss_la_SOURCES = \
        dss/dss_internal_functions.c \
        dss/dss_arith.c \
        dss/dss_compare.c \
        dss/dss_copy.c \
        dss/dss_get.c \
        dss/dss_load_unload.c \
        dss/dss_lookup.c \
        dss/dss_pack.c \
        dss/dss_peek.c \
        dss/dss_print.c \
        dss/dss_register.c \
        dss/dss_release.c \
        dss/dss_set.c \
        dss/dss_size.c \
        dss/dss_unpack.c \
        dss/dss_open_close.c
